{
  "development": {
    "server": {
      "port": 8787,
      "logLevel": "debug"
    },
    "auth": {
      "enabled": true,
      "keycloak": {
        "url": "https://auth.tombutcher.work",
        "realm": "master",
        "clientId": "farmcontrol-dev"
      },
      "requiredRoles": []
    },
    "app": {
      "urlClient": "https://dev.tombutcher.work",
      "urlElectronClient": "http://localhost:5780",
      "urlApi": "https://dev.tombutcher.work/api",
      "devAuthClient": "http://localhost:3500"
    },
    "database": {
      "mongo": {
        "url": "mongodb://127.0.0.1:27017/farmcontrol",
        "link": "127.0.0.1:27017"
      },
      "redis": {
        "url": "",
        "host": "localhost",
        "port": 6379,
        "password": "",
        "cacheTtl": 30
      },
      "nats": {
        "host": "localhost",
        "port": 4222
      }
    },
    "storage": {
      "fileStorage": "./uploads",
      "ceph": {
        "accessKeyId": "minioadmin",
        "secretAccessKey": "minioadmin123",
        "endpoint": "http://127.0.0.1:9000",
        "region": "us-east-1",
        "filesBucket": "farmcontrol"
      }
    },
    "otpExpiryMins": 0.5
  },
  "production": {
    "server": {
      "port": 8080,
      "logLevel": "info"
    },
    "auth": {
      "enabled": true,
      "keycloak": {
        "url": "https://auth.tombutcher.work",
        "realm": "master",
        "clientId": "farmcontrol-client"
      },
      "requiredRoles": []
    },
    "app": {
      "urlClient": "https://web.farmcontrol.app",
      "urlElectronClient": "http://localhost:3000",
      "urlApi": "https://api.farmcontrol.app",
      "devAuthClient": "http://localhost:3500"
    },
    "database": {
      "mongo": {
        "url": "mongodb://localhost:27017/farmcontrol",
        "link": "localhost:27017"
      },
      "redis": {
        "url": "",
        "host": "localhost",
        "port": 6379,
        "password": "",
        "cacheTtl": 30
      },
      "nats": {
        "host": "localhost",
        "port": 4222
      }
    },
    "storage": {
      "fileStorage": "./uploads",
      "ceph": {
        "accessKeyId": "minioadmin",
        "secretAccessKey": "minioadmin123",
        "endpoint": "http://127.0.0.1:9000",
        "region": "us-east-1",
        "filesBucket": "farmcontrol"
      }
    }
  }
}
